Bug 1127198 - [xmlrpc] Invoke TestCase.get_text to get a nonexistent version, system returns 500 error.
Summary: [xmlrpc] Invoke TestCase.get_text to get a nonexistent version, system return...
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: XMLRPC
Version: 3.8.10
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.8.10
Assignee: Yang Ren
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 11:22 UTC by yangqiu
Modified: 2018-07-04 21:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description yangqiu 2014-08-06 11:22:25 UTC
Description of problem:
as summary.

Version-Release number of selected component (if applicable):
v3.8.10-1 on devel server.

How reproducible:
100%

Steps to Reproduce:
1.There is a case which has 2 version for text.
2.Invoke TestCase.get_text to get a nonexistent version, like:
n.TestCase.get_text(293373,3)

Actual results:
system returns 500 error like :
Fault: <Fault 500: ["class NoneText has no attribute 'serialize'"]>

Expected results:
system show warning like TestPlan.get_text: 
"No case text with version '3' found."

Additional info:

Comment 1 Tingting Zhao 2014-08-11 03:42:23 UTC
verify on devel server with v3.8.10-1----->pass
verify steps:
1.invoke n.TestCase.get_text(293373,10)
return null instead of 500 error.
2.invoke n.TestCase.get_text(293373,1)
return the texts of the case.


Note You need to log in before you can comment on or make changes to this bug.